=== debian/changelog ===
release-upgrader-apt (0.7.9ubuntu2) dapper-backports; urgency=low

  * apt-0.7.9ubuntu15/debian/rules,
    python-apt-0.7.3.1ubuntu6/debian/rules:
    - do not run dh_builddeb that confuses pkgstriptranslations
      and is not needed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Apr 2008 15:21:23 +0200

release-upgrader-apt (0.7.9ubuntu1) dapper-backports; urgency=low

  * backport build of hardy apt and python-apt  
  * build without manpages and documentation
  * based on apt-0.7.9ubuntu15:
    - disable https 
    - build with libdb4.3-dev
  * python-apt-0.7.3.1ubuntu6:
    - build against the apt in this package
    - use old (non-cdbs) rules file and build only for python2.4
    - do not build apt_inst (not needed for the upgrader)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Mar 2008 14:15:42 +0100

release-upgrader-apt (0.7.3ubuntu1) dapper-backports; urgency=low

  * backport build of apt and python-apt
  * based on apt-0.7.6ubuntu14:
    - disable https 
    - build with libdb4.3-dev
  * python-apt-0.7.3.1ubuntu6:
    - build against the apt in this package
    - use old (non-cdbs) rules file and build only for python2.4
    - do not build apt_inst (not needed for the upgrader)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Nov 2007 21:10:03 +0100
