=== debian/control ===
Source: release-upgrader-apt
Section: debian-installer
Priority: extra
Maintainer: Michael Vogt <mvo@ubuntu.com>
Standards-Version: 3.6.2.2
Build-Depends: debhelper (>= 5.0), libdb4.3-dev, gettext (>= 0.12), python2.4-dev, intltool
Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)

Package: release-upgrader-apt
Architecture: any
Depends: ${shlibs:Depends}
Provides: ${libapt-pkg:provides}
Conflicts: apt
XC-Package-Type: udeb
Description: release-upgrader-apt (Advanced front-end for dpkg)
 DO NOT INSTALL THIS PACKAGE ON A REGULAR SYSTEM
 .
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.
