=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# build apt and then python-apt (against the apt we just build)
APT=apt-0.7.9ubuntu15
PYTHON_APT=python-apt-0.7.4ubuntu6

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp: 
	dh_testdir

	# build apt
	(cd $(APT);  fakeroot debian/rules apt libapt-pkg-dev )
	cp -ar $(APT)/debian/apt/* root/
	cp -ar $(APT)/debian/libapt-pkg-dev/usr/lib/* root/usr/lib

	# then python-apt
	(cd $(PYTHON_APT);  \
         APT_INCLUDE=$(shell pwd)/$(APT)/debian/libapt-pkg-dev/usr/include APT_LIBS=$(shell pwd)/root/usr/lib  fakeroot debian/rules build binary-arch)
	cp -ar $(PYTHON_APT)/debian/python2.4-apt/* root/

	# remove unneeded bits
	rm -rf root/usr/share/doc root/usr/share/man 

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -rf root/*
	rm -f *.deb
	(cd $(APT); debian/rules clean )
	(cd $(PYTHON_APT); APT_INCLUDE="." APT_LIBS="." debian/rules clean ; rm -rf debian/python2.4-apt)

	# Add here commands to clean up after the build process.
	-#CLEAN#

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/#PACKAGE#.
	#INSTALL#
	cp -ar root/* debian/release-upgrader-apt/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install #PHONY_CONFIGURE#
